Wireshark-dev: Re: [Wireshark-dev] [Wireshark-commits] master 97e1491: Sync .deb packaging from
From: Réczey Bálint <[email protected]>
Date: Sun, 8 Jun 2014 23:16:27 +0700

Ok, I'm fine with removing them. In Debian they are needed by netexpect.
BTW may I ask why are they not welcomed?

2014.06.08. 22:43, "Joerg Mayer" <[email protected]> ezt írta:
On Sun, Jun 08, 2014 at 03:32:12PM +0000, Wireshark code review wrote:
> URL: https://code.wireshark.org/review/gitweb?p=wireshark.git;a=commit;h=97e1491aa8f418a7f5bd7fdd92561d2403c187f6
> Submitter: Balint Reczey ([email protected])
> Changed: branch: master
> Repository: wireshark
>
> Commits:
>
> 97e1491 by Balint Reczey ([email protected]):
>
>     Sync .deb packaging from Debian
>
>     The sync makes CMake the build system for the .deb package
>     and starts providing wireshark-qt in the wireshark-qt package.
>     The package structure, i.e. the libraries are shipped in separate
>     packages is also sync-ed.
>
>     Wireshark-qt uses the Qt 4 libraries, but it is easy to switch
>     it to Qt 5.

While most of these changes make sense, Wireshark developers including
me have been unhappy about the existence of the -dev packages. Adding
the -dev package to the official Wireshark packaging is a no go IMO.

Ciao
     Jörg
--
Joerg Mayer                                           <[email protected]>
We are stuck with technology when what we really want is just stuff that
works. Some say that should read Microsoft instead of technology.
___________________________________________________________________________
Sent via:    Wireshark-dev mailing list <[email protected]>
Archives:    http://www.wireshark.org/lists/wireshark-dev
Unsubscribe: https://wireshark.org/mailman/options/wireshark-dev
             mailto:[email protected]?subject=unsubscribe